<?php
/*
Plugin Name: Get Latest Post Title
Version: 1.0
Plugin URI: http://www.crossdrive.net/archives/485
Description: 最新の投稿記事のタイトルのみを取得するプラグイン。ただのテキストで最新の投稿のタイトルを取得します。表示したいところに<code>&lt;?php get_latest_post_title(); ?&gt;</code>を挿入してください。
Author: Nakahira
Author URI: http://www.crossdrive.net

Copyright (c) 2009
Released under the GPL license
http://www.gnu.org/licenses/gpl.txt

インストール
１．プラグインを有効にしてください。
２．最新の記事のタイトルを表示したい場所に<?php get_latest_post_title(); ?>を挿入してください。

INSTALL: 
Place this code where you want your recent_singlepost_title to show up:
<?php get_latest_post_title(); ?>
	

*/

function get_latest_post_title() {
	global $wpdb;
	$result = $wpdb->get_var("SELECT post_title FROM $wpdb->posts WHERE post_type = 'post' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 1");
	echo $result;
}

?>